import request from '@/utils/request'

// 查询价值观专业列表
export function listSyPhilosophyViewMajor(query) {
  return request({
    url: '/sy/syPhilosophyViewMajor/list',
    method: 'get',
    params: query
  })
}

// 查询价值观专业详细
export function getSyPhilosophyViewMajor(id) {
  return request({
    url: '/sy/syPhilosophyViewMajor/' + id,
    method: 'get'
  })
}

// 新增价值观专业
export function addSyPhilosophyViewMajor(data) {
  return request({
    url: '/sy/syPhilosophyViewMajor',
    method: 'post',
    data: data
  })
}

// 修改价值观专业
export function updateSyPhilosophyViewMajor(data) {
  return request({
    url: '/sy/syPhilosophyViewMajor',
    method: 'put',
    data: data
  })
}

// 删除价值观专业
export function delSyPhilosophyViewMajor(id) {
  return request({
    url: '/sy/syPhilosophyViewMajor/' + id,
    method: 'delete'
  })
}

// 导出价值观专业
export function exportSyPhilosophyViewMajor(query) {
  return request({
    url: '/sy/syPhilosophyViewMajor/export',
    method: 'get',
    params: query
  })
}